HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

List a subscription add-on's usage records

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Subscription ID or UUID. For ID no prefix is used e.g. e28zov4fw0v2. For UUID use prefix uuid-, e.g. uuid-123457890.

string
required

Add-on ID or code. For ID no prefix is used e.g. e28zov4fw0v2. For code use prefix code-, e.g. code-gold.

Query Params
ids
array of strings

Filter results by their IDs. Up to 200 IDs can be passed at once using
commas as separators, e.g. ids=h1at4d57xlmy,gyqgg0d3v9n1,jrsm5b4yefg6.

Important notes:

  • The ids parameter cannot be used with any other ordering or filtering
    parameters (limit, order, sort, begin_time, end_time, etc)
  • Invalid or unknown IDs will be ignored, so you should check that the
    results correspond to your request.
  • Records are returned in an arbitrary order. Since results are all
    returned at once you can sort the records yourself.
ids
integer
1 to 200
Defaults to 20

Limit number of records 1-200.

string
enum
Defaults to desc

Sort order.

Allowed:
string
enum
Defaults to usage_timestamp

Sort field. You really only want to sort by usage_timestamp in ascending
order. In descending order updated records will move behind the cursor and could
prevent some records from being returned.

Allowed:
date-time

Inclusively filter by begin_time when sort=usage_timestamp or sort=recorded_timestamp.
Note: this value is an ISO8601 timestamp. A partial timestamp that does not include a time zone will default to UTC.

date-time

Inclusively filter by end_time when sort=usage_timestamp or sort=recorded_timestamp.
Note: this value is an ISO8601 timestamp. A partial timestamp that does not include a time zone will default to UTC.

string
enum
Defaults to unbilled

Filter by usage record's billing status

Allowed:
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json